## icedove 45.8.0

=== debian/changelog ===
icedove (1:45.8.0-3~deb8u1) jessie-security; urgency=medium

  [ Carsten Schoenert ]
  * New upstream version 45.8.0:
    CVE-2017-5400: asm.js JIT-spray bypass of ASLR and DEP
    CVE-2017-5401: Memory Corruption when handling ErrorResult
    CVE-2017-5402: Use-after-free working with events in FontFace objects
    CVE-2017-5404: Use-after-free working with ranges in selections
    CVE-2017-5407: Pixel and history stealing via floating-point timing side
                   channel with SVG filters
    CVE-2017-5410: Memory corruption during JavaScript garbage collection
                   incremental sweeping
    CVE-2017-5408: Cross-origin reading of video captions in violation of CORS
    CVE-2017-5405: FTP response codes can cause use of uninitialized values
                   for ports
    CVE-2017-5398: Memory safety bugs fixed in Thunderbird 45.8
    CVE-2017-5375: Excessive JIT code allocation allows bypass of ASLR and DEP
    CVE-2017-5376: Use-after-free in XSL
    CVE-2017-5378: Pointer and frame data leakage of Javascript objects
    CVE-2017-5380: Potential use-after-free during DOM manipulations
    CVE-2017-5390: Insecure communication methods in Developer Tools JSON
    viewer
    CVE-2017-5396: Use-after-free with Media Decoder
    CVE-2017-5383: Location bar spoofing with unicode characters
    CVE-2017-5373: Memory safety bugs fixed in Thunderbird 45.7
  * debian/rules: don't set MOZ_APP_PROFILE in jessie or wheezy.
    We don't need a special diffrent default profile folder in jessie or
    wheezy. We will use always ~/.thunderbird in all available releases.
  * tb-wrapper: call thunderbird starting with exec

  [ Guido Günther ]
  * Register components in gbp.conf
  * Drop superfluous iceowl-l10n files
  * Copy-edit thunderbird-wrapper-helper.sh

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Apr 2017 16:37:06 +0200

icedove (1:45.8.0-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [d923505] AppArmor: be more flexible on profile folders
    (Closes: #858735, #858737)
  * [1e04099] tb-wrapper: use readlink also on ${ID_PROFILE_FOLDER}
    (Closes: #858771)
  * [9f6b771] tb-wrapper: correct check for -dbg package (Closes: #858804)
  * [8b5271a] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Bug-1273020-Add-missing-null-checks-in-ApplicationAccessi.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 29 Mar 2017 19:28:32 -0400

icedove (1:45.8.0-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [c2a1d77] tb-helper: pass arguments correctly through tb call
    (Closes: #855334)
  * [5c49348] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Bug-1340724-fix-SMTP-server-name-output-in-SMTP-logging.patch
    (Closes: #855470)
  * [9d420c0] Revert "register MIME type application/octet-stream for
    Thunderbird" (Closes: #857755)
  * [c9960e5] tb-helper: pass arguments by using a array to TB call

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 14 Mar 2017 20:37:48 -0400

icedove (1:45.8.0-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [3388899] New upstream version 45.8.0
  * [24d25e9] tb-helper*: fix up that silly comments behind the if statement
    (Closes: #857029, #857032, #857098, #857112)
  * [788b7fa] bash-completion: adding a completion script for /u/b/thunderbird
  * [9ac9d07] rebuild patch queue from patch-queue branch
    added patches:
    - p-arm64/Bug-1091515-Don-t-set-64KB-page-size-on-aarch64.-r-glandi.patch
    - p-arm64/Bug-1257055-Use-jit-arm64-Architecture-arm64.h-on-non-JIT.patch
  * [ad0860b] copyright: small updates reflecting upstream changes

  [ Christoph Goehre ]
  * [69577cf] lintian: replace hardlink in thunderbird-dev with symbolic link

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 09 Mar 2017 20:24:49 -0500

icedove (1:45.7.1-2) unstable; urgency=medium

  [ Christoph Goehre ]
  * [5e2c618] crashreporter: build only on amd64, armel, armhf and i386
  * [36a922f] Apparmor: replace '·' with spaces (Closes: #855343)
  * [bbbc917] rebuild patch queue from patch-queue branch
    added patches:
    - p-hppa/FTBFS-hppa-xpcshell-segfaulting-during-make-install.patch
  * [8b5d601] icedove|thunderbird.desktop: update danish (da) translation

  [ Carsten Schoenert ]
  * [f8debbd] debian/control: separate transitional mark by extra line
    (Closes: #855806)
  * [583c798] {tb,id}.maintscript: modify start-version (Closes: #854587)
  * [94e557c] thunderbird: adding x11-utils to Depends (Closes: #854488)
  * [dc878e7] thunderbird-wrapper.sh: fix command line transfer to TB
    (Closes: #855334)
  * [9734349] thunderbird helper: split helper function into extra file
    (Closes: #855286)
  * [3089a97] tb-helper*: wrapping X11 dialog calls
  * [e0331e1] tb-helper*: rework option parsing for wrapper script
    (Closes: #855872)
  * [31d9899] thunderbird.postinst: try to remove empty profile folder
    (Closes: #855228)
  * [c9e5b70] tb-wrapper*: complete rework and moving over for symlinking
    (Closes: #855265, #855391, #855501, #856490)
  * [9ef920f] README.Debian: adopt content to current wrapper script behavior
  * [4cf88e5] icedove|thunderbird.desktop: adopt binary call
  * [101e0ad] tb-helper*: call subfunctions not within the case loop
  * [c061107] register MIME type application/octet-stream for Thunderbird

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 06 Mar 2017 20:39:23 -0500

icedove (1:45.7.1-1) unstable; urgency=medium

  * Bye-bye Icedove (Closes: #749965, #776359, #816679, #363811)

  [ Carsten Schoenert ]
  * [90c0d6f] New upstream version 45.7.1
  * [a6d21de] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Bug-497488-Implement-verify-mode-in-the-subscribe-dialog-.patch
    - fixes/Bug-497488-RSS-feeds-with-an-invalid-certificate-fail-wit-1.patch
    - fixes/Bug-497488-RSS-feeds-with-an-invalid-certificate-fail-wit.patch
    (Closes: #837177)
    removed patches (fixed upstream):

