=== debian/tests/control ===
Tests: help.sh
Depends: icedove, xvfb, xauth

Tests: xpcshellTest.sh
Depends: icedove-dev

Tests: idlTest.sh
Depends: icedove-dev, build-essential
